%define libname %mklibname %{name} 1
%define develname %mklibname -d %{name}

Name:		mecab
Summary:	Yet Another Part-of-Speech and Morphological Analyzer
Version:	0.98
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Internationalization
URL:		http://mecab.sourceforge.jp/
Source0:	http://sourceforge.net/projects/mecab/files/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	%{libname} = %{version}

%description
Yet Another Part-of-Speech and Morphological Analyzer.

%package -n 	%{libname}
Summary:	Mecab library
Group:		System/Internationalization
Obsoletes:	libmecab0
Conflicts:	%{_lib}name-devel < 0.98

%description -n %{libname}
mecab library.

%package -n	%{develname}
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.98-2
Obsoletes:	libmecab0-devel
Obsoletes:	%{_lib}mecab1-devel

%description -n %{develname}
mecab development package.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/mecab-config

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README doc/
%{_bindir}/mecab
%{_mandir}/*/mecab.1*
%config(noreplace) %{_sysconfdir}/mecabrc

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/*.so.1
%{_libdir}/*.so.1.*
%attr(755, root, root) %{_libdir}/mecab
%{_libdir}/mecab/*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%multiarch %{multiarch_bindir}/mecab-config
%{_bindir}/mecab-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Wed Jan 27 2010 Funda Wang <fwang@mandriva.org> 0.98-2mdv2010.1
+ Revision: 496925
- move config into devel package
- New version 0.98

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.96-1mdv2008.1
+ Revision: 136577
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.96-1mdv2008.0
+ Revision: 92531
- import mecab


* Mon Jul 23 2007 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.96-1mdv2008.0
- new release

* Fri Aug 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.93-1mdv2007.0
- new release
- remove "requires: mecab-ipadic"
- (we need to install mecab first to build mecab-ipadic)

* Mon May 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.91-1mdk
- new release

* Fri Apr 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.90-2mdk
- fix perms on x86_64

* Mon Mar 27 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.90-1mdk
- 0.90 released

* Fri Mar 10 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.90-0.10.1mdk
- 0.90rc10
- add requires mecab-ipadic

* Thu Feb 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.90-0.9.2mdk
- 0.90rc9
- split off mecab-ipadic

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.81-1mdk
- disable parallel build (broken)
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Mar 11 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.80-1ut
- first spec for mdk
- modify the spec file of Momonga Linux (thanks!)
